Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.util
Class EwayConfigModelUtil

    java.lang.Object
      com.stc.connector.framework.util.EwayConfigModelUtil

public class EwayConfigModelUtil
extends java.lang.Object

Utility class for processing eWay configuration model.

Version:
  $Version$
Author:
  $Author: kgambrel $

Constructor Summary
`EwayConfigModelUtil()`

Method Summary
`java.util.Properties` | `convert(com.stc.configuration.IConfiguration config, java.lang.String pathSeparator)` Convert a configuration model to a Properties object.
`static void` | `main(java.lang.String[] args)` Tester main for EwayConfigModelUtil.
`void` | `setProcessConfigurationParameters(java.lang.String value)` Sets the value of the ProcessConfigurationParameters property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EwayConfigModelUtil

    public EwayConfigModelUtil()

Method Detail

### convert

    public java.util.Properties convert(com.stc.configuration.IConfiguration config,
                                        java.lang.String pathSeparator)

  Convert a configuration model to a Properties object. The section names in the configuration model are separated by the String specified as pathSeparator.

  Parameters:
    `config` - The configuration model instance.
    `pathSeparator` - The path separator to use for separating the section names in the Property keys.
  Returns:
    A Properties object which holds the keys and values of the configuration model.

### setProcessConfigurationParameters

    public void setProcessConfigurationParameters(java.lang.String value)
                                           throws java.lang.Exception

  Sets the value of the ProcessConfigurationParameters property.

  Throws:
    `java.lang.Exception` - upon error.

### main

    public static void main(java.lang.String[] args)

  Tester main for EwayConfigModelUtil.

  Parameters:
    `args` - An array of input Strings.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD